// 实时新闻更多资讯详情生成图片
function generateDetailImgArr() {
    $('.live-more img').map(function(i) {
        var img = $(this);
        img.attr('data-pos', i);
        imgSrcArr.push(img.attr('data-src'));
    });
}

function bindEvents() {
    var body = $('body');

    /* 换肤 */
    $('#toggleSkin').on('click', function() {
        $('html').toggleClass('night-theme');
    });

    // 收藏点击/**/
    $('.js-click-shoucang').on('click', function() {
        $(this).toggleClass('icon-yishoucang');
    });

    /*图片点击*/

    $('.WscnImageContainer').on('click', function(e){
        if (!$(this).hasClass('loaded')) {
            var $img = $($(this).children('img')[0])
            $img.trigger('click')
        }
    })

    $('.article-content img').on('click', function(j) {
        var $img = $(this)
        var dataSrc = $img.data('src')
        var src = $img.attr('src')
        var $parentA = $img.closest('a')
        var $WscnImageContainer = $img.closest('.WscnImageContainer')
        if ($WscnImageContainer.length && !$WscnImageContainer.hasClass('loaded')) j.stopPropagation()
        var href = $parentA.length ? $parentA.attr('href') : undefined
        if (!$parentA.length || dataSrc.indexOf(href) !== -1 || href.trim()==="") {
            j.preventDefault()

            var $target = $WscnImageContainer.length ? $WscnImageContainer : $img

            if (!$target.hasClass('loaded')) {
                $target.prev().text('下载中...')
                Yuta.Load.loadImage(function(e) {
                    $img.load(function() {
                        $target.prev().remove()
                        $target.addClass('loaded')
                    })
                    $img.attr('src', e.data)
                }, function(e) {
                    setTimeout(function(){
                        $target.prev().text('点击重试')
                    },1000)
                }, {
                    "image": removeWebP(dataSrc),
                    'isForced': true
                })
            } else {
                var index = $img.attr('img-index');
                j.preventDefault();
                Yuta.Show.showImage(imgSrcArr, index, function(e) {
                    log(e);
                });
            }
        }
    });

    /*follow 点击*/
    $('.follow').on('click', function(e) {
        Yuta.NewsDetail.judgeFollow(function(event) {
            judgeFollow(event.data);
        }, function(event) {
            console.log(event)
        }, true);
        e.preventDefault();
    });

    /*collect 点击*/
    $('.icon-collect').on('click', function(e) {
        Yuta.NewsDetail.judgeCollect(function(event) {
            judgeCollect(event.data);
        }, function(event) {
            console.log(event)
        }, true);
        e.preventDefault();
    });

    // changeFontSize 点击
    $('.icon-changeFontSize').on('click',function(e){
        Yuta.NewsDetail.changeFont(function(event) {
        }, function(event) {
            console.log(event)
        }, true)
    })
}



/* 分享给平台 */
function shareTo(platform) {
    Yuta.Share.webShareTo($('link[rel="wscn-share-image"]').attr('href'),
        $('meta[name="wscn-share-url"]').attr('content'), $('meta[name="wscn-share-title"]').attr('content'),
        $('meta[name="wscn-share-content"]').attr('content'), platform,
        function(e) {
            log(e);
        });
}

function judgeFollow(data) {
    var $target = $('.follow');
    if (data.isFollowed) {
        $target.html('已关注');
        $target.addClass('followed');
    } else {
        $target.html('+ 关注');
        $target.removeClass('followed');
    }
}

function judgeCollect(data) {
    if (data.isCollected) {
        $('.icon-collect').html('&#xe646;').addClass('collected')
    } else {
        $('.icon-collect').html('&#xe670;').removeClass('collected')
    }
}

/*换肤*/
function toggleTheme(theme) {
    if (theme === 'night') {
        document.body.classList.add('night-theme');
        $('html').addClass('night-theme')
        $('#detail-container').addClass('night-theme')
    } else if (theme === 'day') {
        document.body.classList.remove('night-theme');
        $('html').removeClass('night-theme')
        $('#detail-container').removeClass('night-theme')
    }
}

// 更改字体大小
function changeFont(e) {
    var fontSize = 16;
    switch (+e.data) {
        case 0:
            fontSize = 16;
            break;
        case 1:
            fontSize = 18;
            break;
        case 2:
            fontSize = 20;
            break;
        case 3:
            fontSize = 22;
            break;
    }
    $('html').css('font-size', fontSize + 'px');
}

// 判断分享方式
function setPlatform(arr) {
    if (arr.length === 3) {
        return;
    }
    if (arr.indexOf('SINA') === -1) {
        $('li[data-share="SINA"]').css('visibility', 'hidden');
    }
    if (arr.indexOf('WX') === -1) {
        $('li[data-share="WX"]').remove();
        $('li[data-share="SINA"]').css("width","100%");

    }
    if (arr.indexOf('WX_CIRCLE') === -1) {
        $('li[data-share="WX_CIRCLE"]').remove();
    }
}
